List Deposit Requests

View as Markdown

This method allows you to list deposit requests for an API key profile.

Notes:

  • Use this endpoint to retrieve a paginated history of your generated deposit addresses.
  • You can filter the results by date range and whether they have received payments.

Method: GET

Path: https://api.blockbee.io/deposit/list/


Parameters

Query Parameters

apikeystringRequired

API Key provided by BlockBee's Dashboard.

Note: The API key can also be sent as a header named apikey.

fromstring

Start date for filtering deposits as a Unix timestamp.

Example:1672531200

tostring

End date for filtering deposits as a Unix timestamp.

Example:1704067199

statusstring

Filter deposits based on payment activity.

Accepted values:

  • with_payments (Addresses that have received funds)
  • without_payments (Addresses with no detected payments)
Example:with_payments

pageinteger

The page number you want to retrieve.

Default: 1

Example:1

per_pageinteger

Number of records per page.

Default: 25 Maximum: 100

Example:25

Returns

Returns a list of deposit request objects matching the provided filters.

statusstring

Status of the request. Should be success if the request didn't fail.

num_pagesinteger

The total number of pages available.

depositsobject[]

A list of deposit request objects matching the filters.

tokenstring

The deposit token identifier.

The total fiat value of all payments received for this deposit request.

payment_listobject[]

A list of payments received under this deposit request.

txidstring

The transaction ID of the payment.

valuestring

The amount of cryptocurrency received.

The fiat value of the cryptocurrency received.

coinstring

The cryptocurrency ticker of the payment.

timestampstring

The timestamp when the payment was detected.

currencystring

The fiat currency associated with the deposit.

timestampstring

The creation time of the deposit request.